Subject: [PATCH V3 0/6] Generalise ARM perf-events backend for oprofile

From: [email-masked] (Robert Richter)
Date: Thu, 16 Sep 2010 16:48:28 +0200

On 13.09.10 07:18:50, Matt Fleming wrote:
> On Mon, Sep 13, 2010 at 11:08:53AM +0100, Will Deacon wrote:

> > I've tested this patch series on a multicore Cortex-A9 board. If I
> > revert patch 5/6 (ARM: Make oprofile depend on CONFIG_HW_PERF_EVENTS)
> > then everything seems to work fine. Otherwise, testing without
> > HW_PERF_EVENTS doesn't fall back to timer mode.
> > 
> > So, with the exception of the patch above:
> > 
> > Tested-by: Will Deacon <[email-masked]>
> 
> Hi Will, thanks for testing!
> 
> Ah yeah, making oprofile rely on CONFIG_HW_PERF_EVENTS is too
> strict. I hadn't noticed that armpmu_get_pmu_id() is wrapped in
> CONFIG_HW_PERF_EVENTS and had intended op->cpu_type to be NULL and so
> we'd fallback to the timer mode.
> 
> This patch needs to be dropped entirely (though another patch should
> conditionally include oprofile_perf.o based on CONFIG_HW_PERF_EVENT
> like I had in my original series).

Matt,

yes, the patch set looks good so far. With the exception of some minor
comments I made and patch #5 dropped, we should be fine. Please update
the patches.

Thanks,

-Robert

-- 
Advanced Micro Devices, Inc.
Operating System Research Center